OGRE: Ogre::D3D9HardwareVertexBuffer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D9HardwareVertexBuffer Class Reference

Specialisation of HardwareVertexBuffer for D3D9. More...

`#include <OgreD3D9HardwareVertexBuffer.h>`

Inheritance diagram for Ogre::D3D9HardwareVertexBuffer:
[legend]

## Public Member Functions
| D3D9HardwareVertexBuffer (HardwareBufferManagerBase *mgr, size_t vertexSize, size_t numVertices, HardwareBuffer::Usage usage, bool useSystemMem, bool useShadowBuffer)
| ~D3D9HardwareVertexBuffer ()
void | createBuffer (IDirect3DDevice9 *d3d9Device, D3DPOOL ePool, bool updateNewBuffer)
IDirect3DVertexBuffer9 * | getD3D9VertexBuffer (void)
| Get D3D9-specific vertex buffer. More...
virtual void | notifyOnDeviceCreate (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceDestroy (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceLost (IDirect3DDevice9 *d3d9Device)
virtual void | notifyOnDeviceReset (IDirect3DDevice9 *d3d9Device)
void | readData (size_t offset, size_t length, void *pDest)
| See HardwareBuffer. More...
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)
| See HardwareBuffer. More...

## Static Public Member Functions
static void | lockDeviceAccess ()
static void | unlockDeviceAccess ()

## Detailed Description

Specialisation of HardwareVertexBuffer for D3D9.

## Constructor & Destructor Documentation

## ◆ D3D9HardwareVertexBuffer()

Ogre::D3D9HardwareVertexBuffer::D3D9HardwareVertexBuffer | ( | HardwareBufferManagerBase * | mgr,
|  | size_t | vertexSize,
|  | size_t | numVertices,
|  | HardwareBuffer::Usage | usage,
|  | bool | useSystemMem,
|  | bool | useShadowBuffer
| ) |  |

## ◆ ~D3D9HardwareVertexBuffer()

Ogre::D3D9HardwareVertexBuffer::~D3D9HardwareVertexBuffer | ( |  | ) |

## Member Function Documentation

## ◆ createBuffer()

void Ogre::D3D9HardwareVertexBuffer::createBuffer | ( | IDirect3DDevice9 * | d3d9Device,
|  | D3DPOOL | ePool,
|  | bool | updateNewBuffer
| ) |  |

## ◆ getD3D9VertexBuffer()

IDirect3DVertexBuffer9* Ogre::D3D9HardwareVertexBuffer::getD3D9VertexBuffer | ( | void |  | ) |

Get D3D9-specific vertex buffer.

## ◆ lockDeviceAccess()

static void Ogre::D3D9Resource::lockDeviceAccess | ( |  | ) |
| staticinherited

## ◆ notifyOnDeviceCreate()

virtual void Ogre::D3D9HardwareVertexBuffer::notifyOnDeviceCreate | ( | IDirect3DDevice9 * | d3d9Device | ) |
| virtual

Reimplemented from Ogre::D3D9Resource.

## ◆ notifyOnDeviceDestroy()

virtual void Ogre::D3D9HardwareVertexBuffer::notifyOnDeviceDestroy | ( | IDirect3DDevice9 * | d3d9Device | ) |
| virtual

Reimplemented from Ogre::D3D9Resource.

## ◆ notifyOnDeviceLost()

virtual void Ogre::D3D9HardwareVertexBuffer::notifyOnDeviceLost | ( | IDirect3DDevice9 * | d3d9Device | ) |
| virtual

Reimplemented from Ogre::D3D9Resource.

## ◆ notifyOnDeviceReset()

virtual void Ogre::D3D9HardwareVertexBuffer::notifyOnDeviceReset | ( | IDirect3DDevice9 * | d3d9Device | ) |
| virtual

Reimplemented from Ogre::D3D9Resource.

## ◆ readData()

void Ogre::D3D9HardwareVertexBuffer::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest
| ) |  |

See HardwareBuffer.

## ◆ unlockDeviceAccess()

static void Ogre::D3D9Resource::unlockDeviceAccess | ( |  | ) |
| staticinherited

## ◆ writeData()

void Ogre::D3D9HardwareVertexBuffer::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer = `false`
| ) |  |

See HardwareBuffer.

The documentation for this class was generated from the following file:

- OgreD3D9HardwareVertexBuffer.h